## org.eclipse.emf.databinding.internal
Class EMFObservableMapDecorator

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.DecoratingObservable
              org.eclipse.core.databinding.observable.map.DecoratingObservableMap
                  org.eclipse.emf.databinding.internal.EMFObservableMapDecorator

All Implemented Interfaces:
  java.util.Map, IDecoratingObservable, IObservable, IObserving, IObservableMap, IEMFObservable

Direct Known Subclasses:
  EMFEditObservableMapDecorator

    public class EMFObservableMapDecorator

extends DecoratingObservableMap
implements IEMFObservable

`IEMFObservable` decorator for an `IObservableMap`.

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`EMFObservableMapDecorator(IObservableMap decorated, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `addListener(java.lang.Object arg0, IObservablesListener arg1)`
`protected java.lang.Object` `clone()`
`void` `dispose()`
`protected void` `fireEvent(ObservableEvent arg0)`
`java.lang.Object` `getObserved()`
`Realm` `getRealm()`
`EStructuralFeature` `getStructuralFeature()`
`protected boolean` `hasListeners()`
`protected void` `removeListener(java.lang.Object arg0, IObservablesListener arg1)`

Methods inherited from class org.eclipse.core.databinding.observable.map.DecoratingObservableMap
`addMapChangeListener, clear, containsKey, containsValue, entrySet, equals, fireChange, fireMapChange, firstListenerAdded, get, getKeyType, getValueType, handleMapChange, hashCode, isEmpty, keySet, lastListenerRemoved, put, putAll, remove, removeMapChangeListener, size, toString, values`

Methods inherited from class org.eclipse.core.databinding.observable.DecoratingObservable
`getDecorated, getterCalled, handleStaleEvent, isStale`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addDisposeListener, addStaleListener, checkRealm, fireStale, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Constructor Detail

### EMFObservableMapDecorator

    public EMFObservableMapDecorator(IObservableMap decorated,
                                     EStructuralFeature eStructuralFeature)

Parameters:
  `decorated` -
  `eStructuralFeature` -

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IObservable`
  Overrides:
    `dispose` in class `DecoratingObservableMap`

### getObserved

    public java.lang.Object getObserved()

  Specified by:
    `getObserved` in interface `IObserving`

### getStructuralFeature

    public EStructuralFeature getStructuralFeature()

  Specified by:
    `getStructuralFeature` in interface `IEMFObservable`
  Returns:
    property descriptor of the property being observed, `null` if the runtime time information was not provided on construction of the observable

### addListener

    protected void addListener(java.lang.Object arg0,
                               IObservablesListener arg1)

### removeListener

    protected void removeListener(java.lang.Object arg0,
                                  IObservablesListener arg1)

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent arg0)

### getRealm

    public Realm getRealm()

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.